version: 1.7.3
files:
  - url: Cherry-Studio-1.7.3-arm64.AppImage
    sha512: tIZvBv+XD1jwkFADNwe/K/TUfOYySIS59OaZOqK2i1/ccNz1jgoyuhi/eV2/dzDJY9h/CHwKiumQur6kb8kb0g==
    size: 172783515
    blockMapSize: 180967
  - url: Cherry-Studio-1.7.3-arm64.deb
    sha512: 8hZAHfF6VRb5TvRnY8Ra3U1BhpbtibbxSqQRdLLuGBVWtSfZHmwIZHsAxjmePaYBRsgkSVLLXAaS38ooJgytrA==
    size: 125430712
  - url: Cherry-Studio-1.7.3-aarch64.rpm
    sha512: BkRQkDysnV5WWzLhqzE7XPk4+Blhx75I1iV9ZHIWbhYeud6Bw3TtraSLSqhAmg/c6+J7kG53+TC7swXhIYsu5w==
    size: 109632293
path: Cherry-Studio-1.7.3-arm64.AppImage
sha512: tIZvBv+XD1jwkFADNwe/K/TUfOYySIS59OaZOqK2i1/ccNz1jgoyuhi/eV2/dzDJY9h/CHwKiumQur6kb8kb0g==
releaseNotes: |
  <!--LANG:en-->
  Cherry Studio 1.7.3 - Feature & Stability Update

  This release brings new features, UI improvements, and important bug fixes.

  ✨ New Features
  - Add MCP server log viewer for better debugging
  - Support custom Git Bash path configuration
  - Add print to PDF and save as HTML for mini program webviews
  - Add CherryIN API host selection settings
  - Enhance assistant presets with sort and batch delete modes
  - Open URL directly for SelectionAssistant search action
  - Enhance web search tool switching with provider-specific context

  🔧 Improvements
  - Remove Intel Ultra limit for OVMS
  - Improve settings tab and assistant item UI

  🐛 Bug Fixes
  - Fix stack overflow with base64 images
  - Fix infinite loop in knowledge queue processing
  - Fix quick panel closing in multiple selection mode
  - Fix thinking timer not stopping when reply is aborted
  - Fix ThinkingButton icon display for fixed reasoning mode
  - Fix knowledge query prioritization and intent prompt
  - Fix OpenRouter embeddings support
  - Fix SelectionAction window resize on Windows
  - Add gpustack provider support for qwen3 thinking mode

  <!--LANG:zh-CN-->
  Cherry Studio 1.7.3 - 功能与稳定性更新

  本次更新带来新功能、界面改进和重要的问题修复。

  ✨ 新功能
  - 新增 MCP 服务器日志查看器，便于调试
  - 支持自定义 Git Bash 路径配置
  - 小程序 webview 支持打印 PDF 和保存为 HTML
  - 新增 CherryIN API 主机选择设置
  - 助手预设增强：支持排序和批量删除模式
  - 划词助手搜索操作直接打开 URL
  - 增强网页搜索工具切换逻辑，支持服务商特定上下文

  🔧 功能改进
  - 移除 OVMS 的 Intel Ultra 限制
  - 优化设置标签页和助手项目 UI

  🐛 问题修复
  - 修复 base64 图片导致的栈溢出问题
  - 修复知识库队列处理的无限循环问题
  - 修复多选模式下快捷面板意外关闭的问题
  - 修复回复中止时思考计时器未停止的问题
  - 修复固定推理模式下思考按钮图标显示问题
  - 修复知识库查询优先级和意图提示
  - 修复 OpenRouter 嵌入模型支持
  - 修复 Windows 上划词助手窗口大小调整问题
  - 为 gpustack 服务商添加 qwen3 思考模式支持
  <!--LANG:END-->
releaseDate: '2025-12-12T10:55:29.813Z'
